document.addEventListener("plusready", changePasswordInit, false);

function changePasswordInit(e) {
	$('.btn-save').on('click', function(e) {
		var old_pwd = $('.input-old-pwd').val().trim();
		var new_pwd = $('.input-new-pwd').val().trim();
		var confirm_pwd = $('.input-new-confirm-pwd').val().trim();

		if(old_pwd == '') {
			toast("请输入旧密码");
			return;
		}

		if(new_pwd == '') {
			toast("请输入新密码")
			return;
		}

		if(confirm_pwd == '') {
			toast("请再次输入新密码");
			return;
		}

		if(confirm_pwd != new_pwd) {
			toast("两次密码不一致");
			return;
		}

		var app_id = localStorage.getItem('app_id');
		var app_key = localStorage.getItem('app_key');

		var post_data = {
			params: {
				old_pwd: old_pwd,
				new_pwd: new_pwd,
				app_id: app_id,
				app_key: app_key
			}
		};
		plus.nativeUI.showWaiting();
		$.ajax({
			url: CHANGE_PASSWORD_SERVICE,
			dataType: 'json',
			type: 'POST',
			contentType: 'application/json',
			data: JSON.stringify(post_data),
			success: function(retData) {
				if(retData.error != undefined) {
					toast('服务出错，请重试!');
				} else {
					var result = retData.result;
					if(result.status == 'success') {
						var data = result.data;
						localStorage.clear();
						window.location.href = 'login.html'
					} else if(result.status == 'fail') {
						toast(result.message);
						//back();
					}
				}
			},
			error: function(retData) {
				plus.nativeUI.closeWaiting();
			},
			complete: function(c) {
				plus.nativeUI.closeWaiting();
			}
		});
	});
}