var ws = null;
var wo = null;
var wo_p = null;
var img_tmpl = '<a class="image-block pull-left img-order-node" style="background:url(#url#) no-repeat;background-size:100%;" data-image="#data-image#"></a>';

$('.tab-item-line').on('click', function(e) {

	$(this).addClass('tab-item-on').siblings('.tab-item-line').removeClass('tab-item-on');
	var index = $(this).index();
	$('.tab-cont').eq(index).addClass('show').siblings('.tab-cont').removeClass('show')
	var selected_tab = $(e.currentTarget).attr('data-tab-name');
	if(selected_tab == 'history_order') {
		GetHistoryOrders();
	}
});

function GetHistoryOrders() {
	var equipment_id = localStorage.getItem('equipment_id');
	var post_data = {
		params: {
			equipment_id: equipment_id,
			app_id: localStorage.getItem('app_id'),
			app_key: localStorage.getItem('app_key')
		}
	};

	plus.nativeUI.showWaiting();
	$.ajax({
		url: GET_EQUIPMENT_HISTORY_ORDER_SERVICE,
		dataType: 'json',
		type: 'POST',
		contentType: 'application/json',
		data: JSON.stringify(post_data),
		success: function(retData) {

			var result = retData.result;
			if(result.status == 'success') {
				var data = result.data;
				$('.order-list').html('');
				$.each(data['order_list'], function(idx, item) {
					var order_node = template('tmpl_order_item', {
						'item': item
					});
					$('.order-list').append(order_node);
				});
			}
		},
		error: function(retData) {
			plus.nativeUI.closeWaiting();
		},
		complete: function(c) {
			plus.nativeUI.closeWaiting();
		}

	});
}

document.addEventListener('plusready', plusReady, false);

function plusReady(e) {
	ws = plus.webview.currentWebview();
	wo = ws.opener();
	if(wo.id == 'barcode_scan.html') {
		wo_p = wo.opener();
	}

	$('.back-left').on('click', function() {
		back();

		if(wo.id == 'barcode_scan.html') {
			wo.evalJS('back();');
			wo_p.evalJS('RefreshPage();');
		} else {
			wo.evalJS('RefreshPage();');
		}
	});
	plus.key.addEventListener('backbutton', function() {
		back();
		if(wo.id == 'barcode_scan.html') {
			wo.evalJS('back();');
			wo_p.evalJS('RefreshPage();');
		} else {
			wo.evalJS('RefreshPage();');
		}
	});

	$('.order-list').on('click', '.order-item', function(e) {
		var order_item_id = $(e.currentTarget).attr('data-order-id');
		localStorage.setItem('order_item_id', order_item_id);
		clicked('order_detail.html');
	});
	
	$('.select-img img').on('click', function(e) {
		var lfs = [];
		plus.gallery.pick(function(e) {
			var imgLength = $('.img-added').children('a').length;
			lfs = e.files;
			var select_file_count = lfs.length;
			if(select_file_count + imgLength > 9) {
				toast('图片不能超过9张');
			} else if(select_file_count + imgLength == 9) {
				$('.select-img').hide();
				$('.capture-img').hide();
				$.each(lfs, function(idx, path) {
					plus.io.resolveLocalFileSystemURL(path, function(entry) {
						entry.file(function(imgfile) {
							var reader = new plus.io.FileReader();
							reader.readAsDataURL(imgfile);
							plus.nativeUI.showWaiting();
							reader.onloadend = function(ee) {
								var image_data = ee.target.result;
								var canvas = document.createElement("canvas");
								var ctx = canvas.getContext('2d');
								var image = new Image();
								image.src = image_data;
								image.onload = function() {
									var cvs = document.createElement('canvas');
									cvs.width = this.width * 0.25;
									cvs.height = this.height * 0.25;
									var ctx = cvs.getContext('2d');
									ctx.drawImage(this, 0, 0, cvs.width, cvs.height);
									image_data = cvs.toDataURL('image/png');
									$('.img-added').append(img_tmpl.replace('#url#', image_data).replace('#data-image#', image_data));
									plus.nativeUI.closeWaiting();
								}
							}
						});
					});
				});
			} else {
				$('.select-img').show();
				$('.capture-img').show();
				$.each(lfs, function(idx, path) {
					plus.io.resolveLocalFileSystemURL(path, function(entry) {
						entry.file(function(imgfile) {
							var reader = new plus.io.FileReader();
							reader.readAsDataURL(imgfile);
							plus.nativeUI.showWaiting();
							reader.onloadend = function(ee) {
								var image_data = ee.target.result;
								var canvas = document.createElement("canvas");
								var ctx = canvas.getContext('2d');
								var image = new Image();
								image.src = image_data;
								image.onload = function() {
									var cvs = document.createElement('canvas');
									cvs.width = this.width * 0.25;
									cvs.height = this.height * 0.25;
									var ctx = cvs.getContext('2d');
									ctx.drawImage(this, 0, 0, cvs.width, cvs.height);
									image_data = cvs.toDataURL('image/png');
									$('.img-added').append(img_tmpl.replace('#url#', image_data).replace('#data-image#', image_data));
									plus.nativeUI.closeWaiting();
								}

							}
						});
					});
				});
			}
		}, function(e) {
			////console.log(e);
		}, {
			filter: "image",
			multiple: true,
			onmaxed: function() {
				plus.nativeUI.alert('最多只能选择9张图片');
			}
		});
	});

	
	$('.capture-img img').on('click', function(e) {
		var cmr = plus.camera.getCamera();
		cmr.captureImage(function(path) {
			plus.io.resolveLocalFileSystemURL(path, function(entry) {
				entry.file(function(imgfile) {
					plus.nativeUI.showWaiting();
					var reader = new plus.io.FileReader();
					reader.readAsDataURL(imgfile);
					reader.onloadend = function(e2) {
						var image_data = e2.target.result;
						var canvas = document.createElement("canvas");
						var ctx = canvas.getContext('2d');

						var image = new Image();
						image.src = image_data;
						image.onload = function() {
							var cvs = document.createElement('canvas');
							cvs.width = this.width * 0.25;
							cvs.height = this.height * 0.25;
							var ctx = cvs.getContext('2d');
							ctx.drawImage(this, 0, 0, cvs.width, cvs.height);
							image_data = cvs.toDataURL('image/png');
							$('.img-added').append(img_tmpl.replace('#url#', image_data).replace('#data-image#', image_data));
							var imgLength = $('.img-added').children('a').length;
							if(imgLength == 9) {
								$('.select-img').hide();
								$('.capture-img').hide();
							}
							plus.nativeUI.closeWaiting();
						}
					}
				});
			});
		});
	});
	
	$('.btn-equipment-submit').on('click', function(e) {
		var equipment_id = $('.input-equipment').attr('data-equipment-id');
		if(equipment_id == undefined) {
			toast('请先扫描设备二维码获取设备信息');
			return;
		}

		var user = $('.input-equipment-user').val();
		var user_contact = $('.input-equipment-user-contact').val();
		var department = $('.input-equipment-department').val();
		var remark = $('.input-equipment-remark').val();
		var equipment_id = $('.input-equipment').attr('data-equipment-id');
		var user_data = {
			'app_id': localStorage.getItem('app_id'),
			'app_key': localStorage.getItem('app_key')
		}
		var equipment_data = getEquipmentValues();
		var imgs = [];
		$.each($('.img-order-node'), function(idx, item) {
			imgs.push($(item).attr('data-image').split(',')[1]);
		});

		var post_data = {
			params: {
				user: user_data,
				equipment: equipment_data,
				imgs: imgs
			}
		};

		plus.nativeUI.showWaiting();
		$.ajax({
			url: UPDATE_EQUIPMENT_SERVICE,
			dataType: 'json',
			type: 'POST',
			contentType: 'application/json',
			data: JSON.stringify(post_data),
			success: function(retData) {
				plus.nativeUI.closeWaiting();;
				if(retData.error != undefined) {
					toast('服务出错，请重试!');
				} else {
					var result = retData.result;
					if(result.status == 'success') {
						toast(result.message);
					} else if(result.status == 'fail') {
						toast(result.message);
					} else if(result.status == 'nologin') {
						toast(result.message);
						window.location.href = 'login.html';
					}
				}
			}
		});
	});


	pageRender();
}

function deleteImage(img_url) {

	$.each($('.img-order-node'), function(idx, item) {
		if($(item).attr('data-image') == img_url) {
			$(item).remove();
		}
	});

	var imgLength = $('.img-added').children('a').length;
	if(imgLength < 10) {
		$('.select-img').show();
		$('.capture-img').show();
	} else {
		$('.select-img').hide();
		$('.capture-img').hide();
	}
}

function pageRender() {
	$('.img-added').on('click', '.img-order-node', function(e) {
		var image_data = $(e.currentTarget).attr('data-image');
		var url = 'view_edit_image.html';
		w = plus.webview.create(url, url, {
			hardwareAccelerated: true,
			scrollIndicator: 'none',
			scalable: true,
			bounce: "all"
		});
		w.addEventListener("loaded", function() {
			w.evalJS("loadMedia('" + image_data + "')");
		}, false);
		w.addEventListener("close", function() {
			w = null;
		}, false);
		w.show("pop-in");
	});

	var equipment_id = localStorage.getItem('equipment_id');
	var post_data = {
		params: {
			id: equipment_id,
			app_id: localStorage.getItem('app_id'),
			app_key: localStorage.getItem('app_key')
		}
	};

	plus.nativeUI.showWaiting();
	$.ajax({
		url: SCAN_BARCODE_GET_EQUIPMENT_SERVICE,
		dataType: 'json',
		type: 'POST',
		contentType: 'application/json',
		data: JSON.stringify(post_data),
		success: function(retData) {

			if(retData.error != undefined) {
				toast('服务出错，请重试!');
			} else {
				var result = retData.result;
				if(result.status == 'success') {
					var data = result.data;
					setEquipmentValues(data);
					data.scan_time = new Date().format("yyyy-mm-dd hh:nn:ss");
					data['imgs'] = [];
					var scan_history = JSON.parse(localStorage.getItem('scan_history'));
					if(scan_history.length > 4) {
						scan_history.pop();
						scan_history.push(data);
					} else {
						scan_history.push(data);
					}
					localStorage.setItem('scan_history', JSON.stringify(scan_history));
				} else if(result.status == 'fail') {
					toast(result.message);
				} else if(result.status == 'nologin') {
					toast(result.message);
					window.location.href = 'login.html';
				}
			}
		},
		error: function(retData) {
			plus.nativeUI.closeWaiting();
		},
		complete: function(c) {
			plus.nativeUI.closeWaiting();
		}
	});

	
}

function setEquipmentValues(data) {
	$('.input-qrcode-scan').html(data.name);
	$('.input-equipment').val(data.equipment);
	$('.input-equipment').attr('data-equipment-id', data.id);
	$('.input-equipment-user').val(data.user);
	$('.input-equipment-user-contact').val(data.user_contact);
	$('.input-equipment-department').val(data.department);
	$('.input-equipment-post').val(data.post);
	$('.input-equipment-remark').val(data.remark);
	$('.input-equipment-department').val(data.department);
	$('.input-equipment-post').val(data.post);
	$('.input-equipment-remark').val(data.remark);
	$('.input-customer').val(data.customer_name);
	$('.input-customer').attr('data-customer-id', data.customer_id);
	$('.input-customer-org').val(data.customer_org_name);
	$('.input-customer-org').attr('data-customer-org-id', data.customer_org_id);

	var imgs = data.imgs;
	$('.img-added').html('');
	$.each(imgs, function(idx, img) {
		var img_url = 'data:image/png;base64,' + img;
		$('.img-added').append(img_tmpl.replace('#url#', img_url).replace('#data-image#', img_url));
		var imgLength = $('.img-added').children('a').length;
		if(imgLength >= 9) {
			$('.select-img').hide();
			$('.capture-img').hide();
		} else {
			$('.select-img').show();
			$('.capture-img').show();
		}
	});

}

function getEquipmentValues() {
	var equipment_data = {
		'equipment': $('.input-equipment').val(),
		'equipment_id': $('.input-equipment').attr('data-equipment-id'),
		'department': $('.input-equipment-department').val(),
		'user': $('.input-equipment-user').val(),
		'user_contact': $('.input-equipment-user-contact').val(),
		'department': $('.input-equipment-department').val(),
		'post': $('.input-equipment-post').val(),
		'remark': $('.input-equipment-remark').val(),
	}
	return equipment_data;
}