document.addEventListener('plusready', forgetPasswordInit, false);

function forgetPasswordInit(e) {
	var seconds = 60;
	function tickTime() {
		if(seconds == 0) {
			$('.weui-vcode-btn').removeAttr("disabled");
			$('.weui-vcode-btn').html("重新获取");
			seconds = 60;
		} else {
			$('.weui-vcode-btn').attr("disabled","disabled");
			$('.weui-vcode-btn').html(seconds +'s后重新获取');
			setTimeout(function() {
				seconds = seconds - 1;
				tickTime();
			},
			1000);
		}
	}

	$('.weui-vcode-btn').bind('click', function(e) {
		var mobile = $('.input-forget-password-mobile').val().trim();
		if(mobile == '') {
			toast('请输入手机号');
			return;
		}

		var post_data = {
			params: {
				'mobile': mobile
			}
		};
		
		tickTime();
		$.ajax({
			url: SMS_ULR,
			dataType: 'json',
			type: 'POST',
			contentType: 'application/json',
			data: JSON.stringify(post_data),
			success: function(retData) {
				var result = retData.result;
				if(result.status == 'success'){
					toast('验证码已发送');
				}
			},
			error: function(retData) {
				plus.nativeUI.closeWaiting();
			},
			complete: function(c) {
				plus.nativeUI.closeWaiting();
			}
		});
	});
	
	$('.btn-save').on('click', function(e) {
		var mobile = $('.input-forget-password-mobile').val().trim();
		var password = $('.input-forget-password-password').val().trim();
		var verify_code = $('.input-verify_code').val().trim();
		
		var confirm_password = $('.input-forget-password-confirm-password').val().trim();
		if(mobile == '') {
			toast("请输入手机号");
			return;
		}
		
		if(verify_code == ''){
			toast("请输入短信验证码")
			return;
		}

		if(password == '') {
			toast("请输入密码");
			return;
		}

		if(confirm_password == '') {
			toast("请输入确认密码");
			return;
		}

		if(confirm_password != password) {
			toast("两次密码不一致");
			return;
		}

		var post_data = {
			params: {
				mobile: mobile,
				password: password,
				verify_code:verify_code
			}
		};
		plus.nativeUI.showWaiting();
		$.ajax({
			url: FORGET_PASSWORD_SERVICE,
			dataType: 'json',
			type: 'POST',
			contentType: 'application/json',
			data: JSON.stringify(post_data),
			success: function(retData) {
				if(retData.error != undefined) {
					toast('服务出错，请重试!');
				} else {
					var result = retData.result;
					var data = result.data;
					if(result.status == 'success') {
						localStorage.clear();
						window.location.href = 'login.html'
					} else if(result.status == 'fail') {
						toast(result.message);
					}
				}
			},
			error: function(retData) {
				plus.nativeUI.closeWaiting();
			},
			complete: function(c) {
				plus.nativeUI.closeWaiting();
			}
		});
	});
}