$('.btn-register').on('click', function() {
	clicked('register.html');
});

$('.btn-forget-pwd').on('click', function() {
	clicked('forget_password.html');
});

var back_first = null;
document.addEventListener('plusready', loginInit, false);

function loginInit() {
	checkVersion();
	$('.btn-login').on('click', function() {
		var mobile = $('.input-mobile-text').val().trim();
		var password = $('.input-password-text').val().trim();
		if(mobile == '') {
			toast("请输入手机号");
			return;
		}

		if(password == '') {
			toast("请输入密码");
			return;
		}

		var post_data = {
			params: {
				mobile: mobile,
				password: password
			}
		};

		plus.nativeUI.showWaiting();
		$.ajax({
			url: LOGIN_SERVICE,
			dataType: 'json',
			type: 'POST',
			contentType: 'application/json',
			data: JSON.stringify(post_data),
			success: function(retData) {
				if(retData.error != undefined) {
					toast('服务出错，请重试!');
				} else {
					var result = retData.result;
					var data = result.data;
					if(result.status == 'success') {
						localStorage.setItem('app_id', data['app_id']);
						localStorage.setItem('app_key', data['app_key']);
						localStorage.setItem('mobile', mobile);
						localStorage.setItem('password', password);
						localStorage.setItem('real_name', data['real_name']);
						localStorage.setItem('header_img', data['header_img_url']);
						localStorage.setItem('email', data['email']);
						clicked('main.html');

					} else if(result.status == 'fail') {
						toast(result.message);
					}
				}
			},
			error: function(retData) {
				plus.nativeUI.closeWaiting();
			},
			complete: function(c) {
				plus.nativeUI.closeWaiting();
			}
		});
		
		

	});

}

function checkVersion() {
	var post_data = {
		params: {}
	};
	plus.nativeUI.showWaiting();
	$.ajax({
		url: CHECK_VERSION_SERVICE,
		dataType: 'json',
		type: 'POST',
		contentType: 'application/json',
		data: JSON.stringify(post_data),
		success: function(retData) {
			//console.log(JSON.stringify(retData));
			var result = retData.result;
			if(result.status == 'success') {
				var data = result.data;
				var android_version = parseFloat(data.android_version);
				var ios_version = parseFloat(data.ios_version);
				var c_ios_version = parseFloat(IOS_VERSION);
				var c_android_version = parseFloat(ANDROID_VERSION);
				if(plus.os.name == 'Android' && data.android_url != ".") {
					if(c_android_version < android_version) {
						plus.nativeUI.confirm("请您升级到最新的版本", function(i) {
							if(0 == i.index) {
								plus.runtime.openURL(data.android_url);
							} else {
								plus.runtime.quit();
							}
						}, "提示", ["立即更新", "取消"]);
					} else {
						autoLogin();
					}
				} else if(plus.os.name == 'iOS' && data.ios_url != ".") {
					if(c_ios_version < ios_version) {
						plus.nativeUI.confirm("请您升级到最新的版本", function(i) {
							if(0 == i.index) {
								if(data.ios_url != ".") {
									plus.runtime.openURL(data.ios_url);
								}
							} else {
								plus.runtime.quit();
							}
						}, "提示", ["立即更新", "取　　消"]);
					} else {
						autoLogin();
					}
				}
				autoLogin();

			}
		},
		error: function(retData) {
			plus.nativeUI.closeWaiting();
		},
		complete: function(c) {
			plus.nativeUI.closeWaiting();
		}
	});
}

function autoLogin() {
	var mobile = localStorage.getItem('mobile');
	var password = localStorage.getItem('password');

	if(mobile == undefined || password == undefined) {
		return;
	} else {
		var post_data = {
			params: {
				mobile: mobile,
				password: password,
				version: "1.0"
			}
		};
		plus.nativeUI.showWaiting();
		$.ajax({
			url: LOGIN_SERVICE,
			dataType: 'json',
			type: 'POST',
			contentType: 'application/json',
			data: JSON.stringify(post_data),
			success: function(retData) {
				//console.log(JSON.stringify(retData));
				plus.nativeUI.closeWaiting();
				if(retData.error != undefined) {
					toast('服务出错，请重试!');
				} else {
					var result = retData.result;
					var data = result.data;
					if(result.status == 'success') {
						localStorage.setItem('app_id', data['app_id']);
						localStorage.setItem('app_key', data['app_key']);
						localStorage.setItem('mobile', mobile);
						localStorage.setItem('password', password);
						localStorage.setItem('real_name', data['real_name']);
						localStorage.setItem('header_img', data['header_img_url']);
						localStorage.setItem('email', data['email']);
						clicked('main.html');

					} else if(result.status == 'fail') {
						toast(result.message);
					}
				}
			},
			error: function(retData) {
				plus.nativeUI.closeWaiting();
			},
			complete: function(c) {
				plus.nativeUI.closeWaiting();
			}
		});
	}
}

function createDownload(downloadurl) {
	var dtask = plus.downloader.createDownload(downloadurl, {}, function(d, status) {
		// 下载完成
		if(status == 200) {
			toast("下载成功: " + d.filename);
		} else {
			toast("下载失败: " + status);
		}
	});
	//dtask.addEventListener( "statechanged", onStateChanged, false );
	dtask.start();
}