var wo = null;
var ws = null;

var pages = {
	'new': 0,
	'progressing': 0,
	'done': 0,
	'all': 0
};
var loading = false;
var order_list_container = {
	'new': 'order-list-new',
	'progressing': 'order-list-progressing',
	'done': 'order-list-done',
	'all': 'order-list-all'
};
var first_loaded = {
	'new': false,
	'progressing': false,
	'done': false,
	'all': false
};
document.addEventListener('plusready', myOrderListInit, false);

function myOrderListInit() {
	ws = plus.webview.currentWebview();
	wo = ws.opener();
	var local_state = localStorage.getItem('local_state');
	$('.weui-navbar__item[data-state="' + local_state + '"]').addClass('weui-bar__item--on');
	$('.order-list-wrapper[id="tab_' + local_state + '"]').addClass('weui-tab__bd-item--active');
	pages = {
		'new': 0,
		'progressing': 0,
		'done': 0,
		'all': 0
	}
	GetOrderItems(local_state, order_list_container[local_state]);
	first_loaded[local_state] = true;

	$('.back-left').on('click', function() {
		back();
		wo.evalJS('renderOrderList();');
	});

	$('.weui-navbar__item').bind('click', function(e) {
		var state = $(e.currentTarget).attr('data-state');
		localStorage.setItem('local_state', state);
		pages[state] = 0;

		if(first_loaded[state] == false) {
			first_loaded[state] = true;
			GetOrderItems(state, order_list_container[state]);
		} else if(first_loaded[state] == true && $(e.currentTarget).hasClass('weui-bar__item--on')) {
			GetOrderItems(state, order_list_container[state]);
		}
	});

	$('.order-list-new-wrapper').pullToRefresh().on("pull-to-refresh", function() {
		setTimeout(function() {
			$('.order-list-new-wrapper').pullToRefreshDone();
			pages['new'] = 0;
			GetOrderItems('new', 'order-list-new');
		}, 1500);
	});

	$('.order-list-progressing-wrapper').pullToRefresh().on("pull-to-refresh", function() {
		setTimeout(function() {
			$('.order-list-progressing-wrapper').pullToRefreshDone();
			pages['progressing'] = 0;
			GetOrderItems('progressing', 'order-list-progressing');
		}, 1500);
	});

	$('.order-list-done-wrapper').pullToRefresh().on("pull-to-refresh", function() {
		setTimeout(function() {
			$('.order-list-done-wrapper').pullToRefreshDone();
			pages['done'] = 0;
			GetOrderItems('done', 'order-list-progressing');
		}, 1500);
	});

	$('.order-list-all-wrapper').pullToRefresh().on("pull-to-refresh", function() {
		setTimeout(function() {
			$('.order-list-all-wrapper').pullToRefreshDone();
			pages['all'] = 0;
			GetOrderItems('all', 'order-list-all');
		}, 1500);
		
	});

	$('.order-list').on('click', '.order-item', function(e) {
		var order_item_id = $(e.currentTarget).attr('data-order-id');
		localStorage.setItem('order_item_id', order_item_id);
		clicked('order_detail.html');
	});
}

function GetOrderItems(state, container) {
	$('.order-list-' + state + '-loadmore').hide();
	$('.order-list-' + state + '-wrapper').infinite(0).on("infinite", function() {
		if(loading) return;
		loading = true;
		$('.order-list-' + state + '-loadmore').show();
		pages[state]++;
		PushOrderItems(state, 'order-list-' + state, 'order-list-' + state + '-wrapper');
	});

	// 获取服务工单
	var app_id = localStorage.getItem('app_id');
	var app_key = localStorage.getItem('app_key');
	var user_data = {
		'app_id': app_id,
		'app_key': app_key
	};
	var post_data = {
		params: {
			'user': user_data,
			'state': state,
			'page_num': pages[state]
		}
	};
	plus.nativeUI.showWaiting();
	$.ajax({
		url: GET_ORDER_SERVICE,
		dataType: 'json',
		type: 'POST',
		contentType: 'application/json',
		data: JSON.stringify(post_data),
		success: function(retData) {
			plus.nativeUI.closeWaiting();
			//console.log(JSON.stringify(retData));
			if(retData.error != undefined) {
				toast('服务出错，请重试!');
			} else {
				var result = retData.result;
				var data = result.data.order_list;
				if(result.status == 'success') {
					$('.' + container).html('');
					$.each(data, function(idx, item) {
						var state_name = '';
						var state_class = '';
						if(item.state == 'distributed') {
							state_name = '未接单';
							state_class = 'order-item-state-distributed';
						} else if(item.state == 'done') {
							state_name = '完成';
							state_class = 'order-item-state-done';
						} else if(item.state == 'accepted') {
							state_name = '已接单';
							state_class = 'order-item-state-progressing';
						} else if(item.state == 'remote-processing') {
							state_name = '远程处理中';
							state_class = 'order-item-state-progressing';
						} else if(item.state == 'processing') {
							state_name = '已预约';
							state_class = 'order-item-state-progressing';
						}else if(item.state == 'go') {
							state_name = '出发';
							state_class = 'order-item-state-progressing';
						} else if(item.state == 'arrival') {
							state_name = '已到达';
							state_class = 'order-item-state-progressing';
						}else if(item.state == 'start') {
							state_name = '开工';
							state_class = 'order-item-state-progressing';
						} else if(item.state == 'confirm-done') {
							state_name = '等待后台确认';
							state_class = 'order-item-state-progressing';
						} else if(item.state == 'rejected') {
							state_name = '已拒绝';
							state_class = 'order-item-state-rejected';
						} else if(item.state == 'return') {
							state_name = '返单';
							state_class = 'order-item-state-return';
						} else {
							state_name = '进行中';
							state_class = 'order-item-state-progressing';
						}

						var html_order_item = template('tmpl_order_item', {
							'state_name': state_name,
							'state_class': state_class,
							'item': item
						});
						$('.' + container).append(html_order_item);
					});

					if($('.' + container).children().length < 1) {
						$('.no-order-list-' + state).show();
					} else {
						$('.no-order-list-' + state).hide();
					}
				} else if(result.status == 'fail') {
					toast(result.message);
				} else if(result.status == 'out_time') {
					plus.nativeUI.alert(result.message, function(e) {
						window.location.href = 'login.html';
					}, '确定');

				}
			}
		},
		error: function(retData) {
			plus.nativeUI.closeWaiting();
		},
		complete: function(c) {
			plus.nativeUI.closeWaiting();
		}
	});
}

function PushOrderItems(state, container, wrapper) {

	var app_id = localStorage.getItem('app_id');
	var app_key = localStorage.getItem('app_key');
	var user_data = {
		'app_id': app_id,
		'app_key': app_key
	};
	var post_data = {
		params: {
			'user': user_data,
			'state': state,
			'page_num': pages[state]
		}
	};

	$.ajax({
		url: GET_ORDER_SERVICE,
		dataType: 'json',
		type: 'POST',
		contentType: 'application/json',
		data: JSON.stringify(post_data),
		success: function(retData) {
			//console.log(JSON.stringify(retData));
			if(retData.error != undefined) {
				toast('服务出错，请重试!');
			} else {
				var result = retData.result;
				var data = result.data.order_list;
				loading = false;
				$('.order-list-' + state + '-loadmore').hide();
				if(data.length < 1) {
					$('.' + wrapper).off('infinite');
				}
				if(result.status == 'success') {
					$.each(data, function(idx, item) {
						var state_name = '';
						var state_class = '';
						if(item.state == 'distributed') {
							state_name = '未接单';
							state_class = 'order-item-state-distributed';
						} else if(item.state == 'done') {
							state_name = '完成';
							state_class = 'order-item-state-done';
						} else if(item.state == 'accepted') {
							state_name = '已接单';
							state_class = 'order-item-state-progressing';
						} else if(item.state == 'remote-processing') {
							state_name = '远程处理中';
							state_class = 'order-item-state-progressing';
						} else if(item.state == 'processing') {
							state_name = '上门处理中';
							state_class = 'order-item-state-progressing';
						} else if(item.state == 'go') {
							state_name = '出发';
							state_class = 'order-item-state-progressing';
						} else if(item.state == 'start') {
							state_name = '开工';
							state_class = 'order-item-state-progressing';
						} else if(item.state == 'confirm-done') {
							state_name = '等待后台确认';
							state_class = 'order-item-state-progressing';
						} else if(item.state == 'rejected') {
							state_name = '已拒绝';
							state_class = 'order-item-state-rejected';
						} else if(item.state == 'return') {
							state_name = '返单';
							state_class = 'order-item-state-return';
						} else {
							state_name = '进行中';
							state_class = 'order-item-state-progressing';
						}

						var html_order_item = template('tmpl_order_item', {
							'state_name': state_name,
							'state_class': state_class,
							'item': item
						});
						$('.' + container).append(html_order_item);
					});

					if($('.' + container).children().length < 1) {
						$('.' + container + ' .no-order-list').show();
					} else {
						$('.' + container + ' .no-order-list').hide();
					}

				} else if(result.status == 'fail') {
					toast(result.message);
				} else if(result.status == 'out_time') {
					plus.nativeUI.alert(result.message, function(e) {
						window.location.href = 'login.html';
					}, '确定');
				}
			}
		}
	});
}