$('.tab-item-line').on('click', function() {
	$(this).addClass('tab-item-on').siblings('.tab-item-line').removeClass('tab-item-on');
	var index = $(this).index();
	$('.tab-cont').eq(index).addClass('show').siblings('.tab-cont').removeClass('show')
});

document.addEventListener('plusready', teamInit, false);

function teamInit() {
	$('.back-left').on('click', function(e) {
		back();
	});
	$('.my-invite-items').on('click', '.accept', function(e) {
		var invite_id = $(e.currentTarget).attr('data-invite-id');
		var app_id = localStorage.getItem('app_id');
		var app_key = localStorage.getItem('app_key');
		var user_data = {
			'app_id': app_id,
			'app_key': app_key
		};
		var post_invite_data = {
			params: {
				user: user_data,
				id: invite_id
			}
		};

		plus.nativeUI.confirm('您确定接受该公司的邀请？', function(e) {
			if(e.index == 0) {
				plus.nativeUI.showWaiting();
				$.ajax({
					url: ACCEPT_INVITE_SERVICE,
					dataType: 'json',
					type: 'POST',
					contentType: 'application/json',
					data: JSON.stringify(post_invite_data),
					success: function(retData) {
						var result = retData.result;
						if(result.status == 'success') {
							GetTeamInfo();
						}
					},
					error: function(retData) {
						plus.nativeUI.closeWaiting();
					},
					complete: function(c) {
						plus.nativeUI.closeWaiting();
					}
				});
			}
		});
	});

	GetTeamInfo();
};

function GetTeamInfo() {
	var app_id = localStorage.getItem('app_id');
	var app_key = localStorage.getItem('app_key');
	var user_data = {
		'app_id': app_id,
		'app_key': app_key
	};
	var post_data = {
		params: {
			user: user_data
		}
	};

	plus.nativeUI.showWaiting();
	$.ajax({
		url: GET_TEAM_INFO_SERVICE,
		dataType: 'json',
		type: 'POST',
		contentType: 'application/json',
		data: JSON.stringify(post_data),
		success: function(retData) {

			if(retData.error != undefined) {
				toast('服务出错，请重试!');
			} else {
				var result = retData.result;
				var data = result.data;
				if(result.status == 'success') {
					var company = data['teams'];
					var invites = data['invites'];
					var team_data = data['engineer_group_items'];

					$('.belong-to-company').html('');
					$.each(company, function(idx, item) {
						var company_node = template('company_node', {
							'item': item
						});
						$('.belong-to-company').append(company_node);
					});
					$('.my-invite-items').html('');
					$.each(invites, function(idx, invite) {
						invite_node = template('invite_node', {
							'invite': invite
						});
						$('.my-invite-items').append(invite_node);
					});

					$('.my-team-items').html('');
					//console.log(team_data);
					team_node = template('team_node', {
						'team_data': team_data
					});
					$('.my-team-items').append(team_node);

					if($('.my-invite-items').children().length < 1) {
						$('.my-invite-tips').show();
					} else {
						$('.my-invite-tips').hide();
					}

					if($('.my-team-items').children().length < 1) {
						$('.my-team-tips').show();
					} else {
						$('.my-team-tips').hide();
					}
				}
			}
		},
		error: function(retData) {
			plus.nativeUI.closeWaiting();
		},
		complete: function(c) {
			plus.nativeUI.closeWaiting();
		}
	});

}

/*$(document).on("pageInit", "#team-page", function(e, id, page) {
	GetTeamInfo();
	var $content = $(page).find(".content").on('refresh', function(e) {
		GetTeamInfo();
		$.pullToRefreshDone($content);
	});
});*/