document.addEventListener('plusready', registerInit, false);

function registerInit() {
	var seconds = 60;

	function tickTime() {
		if(seconds == 0) {
			$('.btn-get-code').removeAttr('disabled');
			$('.btn-get-code').html('重新获取');
			seconds = 60;
		} else {
			$('.btn-get-code').attr('disabled', 'disabled');
			$('.btn-get-code').html(seconds + 's后重新获取');
			setTimeout(function() {
				seconds = seconds - 1;
				tickTime();
			}, 1000);
		}
	}

	$('.btn-get-code').on('click', function() {
		var mobile = $('.input-register-mobile').val().trim();
		if(mobile == '') {
			toast('请输入手机号');
			return;
		}
		var post_data = {
			params: {
				'mobile': mobile
			}
		};

		tickTime();
		$.ajax({
			url: SMS_ULR,
			dataType: 'json',
			type: 'POST',
			contentType: 'application/json',
			data: JSON.stringify(post_data),
			success: function(retData) {
				var result = retData.result;
				if(result.status == 'success') {
					toast('验证码已发送');
				}
			},
			error: function(retData) {
				plus.nativeUI.closeWaiting();
			},
			complete: function(c) {
				plus.nativeUI.closeWaiting();
			}
		});
	});

	$('.btn-register').on('click', function(e) {
		var mobile = $('.input-register-mobile').val().trim();
		var password = $('.input-register-password').val().trim();
		var verify_code = $('.input-verify_code').val().trim();
		var real_name = $('.input-register-real-name').val().trim();
		var confirm_password = $('.input-register-confirm-password').val().trim();
		if(mobile == '') {
			toast("请输入手机号");
			return;
		}

		if(verify_code == '') {
			toast("请输入短信验证码")
			return;
		}

		if(real_name == '') {
			toast('请输入姓名');
			return;
		}

		if(password == '') {
			toast("请输入密码");
			return;
		}

		if(confirm_password == '') {
			toast("请输入确认密码");
			return;
		}

		if(confirm_password != password) {
			toast("两次密码不一致");
			return;
		}

		var post_data = {
			params: {
				mobile: mobile,
				password: password,
				verify_code: verify_code,
				real_name: real_name
			}
		};
		plus.nativeUI.showWaiting();
		$.ajax({
			url: REGISTER_SERVICE,
			dataType: 'json',
			type: 'POST',
			contentType: 'application/json',
			data: JSON.stringify(post_data),
			success: function(retData) {
				plus.nativeUI.closeWaiting();;
				if(retData.error != undefined) {
					toast('服务出错，请重试!');
				} else {
					var result = retData.result;
					var data = result.data;
					if(result.status == 'success') {
						localStorage.setItem('app_id', data['app_id']);
						localStorage.setItem('app_key', data['app_key']);
						localStorage.setItem('mobile', data['mobile']);
						localStorage.setItem('real_name', data['real_name']);
						localStorage.setItem('header_img', data['header_img_url']);
						localStorage.setItem('email', data['email']);
						window.location.href = 'login.html';
					} else if(result.status == 'fail') {
						toast(result.message);
					}
				}
			},
			error: function(retData) {
				plus.nativeUI.closeWaiting();
			},
			complete: function(c) {
				plus.nativeUI.closeWaiting();
			}
		});
	});
}