document.addEventListener('plusready', requestItemDetailInit, false);

function requestItemDetailInit() {
	$('.back-left').on('click', function() {
		back();
	});
	GetRequest();
};

function GetRequest() {
	var request_item_id = localStorage.getItem('request_item_id');
	var app_id = localStorage.getItem('app_id');
	var app_key = localStorage.getItem('app_key');
	var user_data = {
		'app_id': app_id,
		'app_key': app_key
	};
	var post_data = {
		params: {
			'user': user_data,
			'request_item_id': request_item_id
		}
	};

	plus.nativeUI.showWaiting();
	$.ajax({
		url: GET_SERVICE_BY_ID,
		dataType: 'json',
		type: 'POST',
		contentType: 'application/json',
		data: JSON.stringify(post_data),
		success: function(retData) {
			//console.log(JSON.stringify(retData));
			plus.nativeUI.closeWaiting();
			if(retData.error != undefined) {
				toast('服务出错，请重试!');
			} else {
				var result = retData.result;
				var data = result.data;
				if(result.status == 'success') {
					var state_name = '';
					var state_class = '';
					$('.bottom-buttons').html('');

					if(data.state == 'done') {
						state_name = '待评价';
						state_class = 'request-item-state-comment';
					} else if(data.state == 'commented') {
						state_name = '完成';
						state_class = 'request-item-state-done';
					} else if(data.state == 'cancelled') {
						state_name = '已取消';
						state_class = 'request-item-state-cancelled';
					} else {
						state_name = '进行中';
						state_class = 'request-item-state-progressing';
					}
					$('.request-state').html(state_name);

					$('.request-item-no').html(data.name);

					$('.request-item-contact-mobile').html(data.contact_mobile);
					$('.request-item-contact-name').html(data.contact_name);
					$('.request-item-phone').html(data.contact_phone);
					$('.request-item-address').html(data.contact_address);
					$('.request-item-equipment').html(data.submit_equipment);
					$('.request-item-equipment-no').html(data.submit_equipment_no);
					$('.request-item-failure-level').html(data.failure_level);
					$('.request-item-zone').html(data.zone);
					$('.request-item-react-time').html(data.react_time + '分钟');
					$('.request-item-solve-time').html(data.solve_time + '小时');
					$('.request-item-customer').html(data.submit_customer);
					$('.request-item-customer-org').html(data.submit_org);
					$('.request-item-request').html(data.request);
					$('.request-item-images').html('');
					$.each(data.imgs, function(idx, img) {
						var image_url = IMAGE_DOMAIN + img;
						var image_node = '<img class="request-image" src="' + image_url + '"/>';
						$('.request-item-images').append(image_node);
					});

					$('.request-image').bind('click', function(e) {
						displayFile($(e.currentTarget).attr('src'));
					});

				} else if(result.status == 'fail') {
					toast(result.message);
				}
			}
		},
		error: function(retData) {
			plus.nativeUI.closeWaiting();
		},
		complete: function(c) {
			plus.nativeUI.closeWaiting();
		}
	});
}

function displayFile(image_url) {
	var w = null;

	var url = 'view_image.html';
	w = plus.webview.create(url, url, {
		hardwareAccelerated: true,
		scrollIndicator: 'none',
		scalable: true,
		bounce: "all"
	});
	w.addEventListener("loaded", function() {
		w.evalJS("loadMedia('" + image_url + "')");
	}, false);
	w.addEventListener("close", function() {
		w = null;
	}, false);
	w.show("pop-in");
}