var scan = null;
var wo = null;
var ws = null;
var wp = null;
document.addEventListener('plusready', teamInit, false);

function teamInit() {
	ws = plus.webview.currentWebview();
	wo = ws.opener();
	wp = wo.opener();

	$('.back-left').on('click', function(e) {
		back();
	});

	$('.select-teams').on('click', '.team-engineer', function(e) {
		var engineer_id = $(e.currentTarget).attr('data-engineer-id');
		var transfer_message = '您确认将该工单转给' + $(e.currentTarget).find('.engineer-name').text();
		$.actions({
			title: '请选择操作',
			actions: [{
				text: "上门处理",
				className: "color-primary",
				onClick: function() {
					$.confirm({
						title: "提示",
						text: transfer_message + '上门处理?',
						onOK: function() {
							TransferOrder(engineer_id, 'room');
						},
						onCancel: function() {}
					});
				}
			}, {
				text: "远程处理",
				onClick: function() {
					$.confirm({
						title: "提示",
						text: transfer_message + '远程处理?',
						onOK: function() {
							TransferOrder(engineer_id, 'remote');
						},
						onCancel: function() {}
					});
				}
			}]
		});
	});

	GetTeamInfo();
};

function TransferOrder(engineer_id, process_type) {
	var app_id = localStorage.getItem('app_id');
	var app_key = localStorage.getItem('app_key');
	var order_id = localStorage.getItem('order_item_id');
	var user_data = {
		'app_id': app_id,
		'app_key': app_key,
	};
	var post_data = {
		params: {
			user: user_data,
			order_id: order_id,
			engineer_id: engineer_id,
			process_type: process_type
		}
	};
	plus.nativeUI.showWaiting();
	$.ajax({
		url: ARRANGE_ORDER_SERVICE,
		dataType: 'json',
		type: 'POST',
		contentType: 'application/json',
		data: JSON.stringify(post_data),
		success: function(retData) {
			plus.nativeUI.closeWaiting();
			var result = retData.result;
			if(result.status == 'success') {
				back();
				wo.evalJS('back();');
				if(wp.id == 'my_order_list.html') {
					wp.evalJS('myOrderListInit();');
				}
				if(wp.id == 'main.html') {
					wp.evalJS('orderListInit();');
				}

			}
		},
		error: function(retData) {
			plus.nativeUI.closeWaiting();
		},
		complete: function(c) {
			plus.nativeUI.closeWaiting();
		}
	});
}

function GetTeamInfo() {
	var app_id = localStorage.getItem('app_id');
	var app_key = localStorage.getItem('app_key');
	var order_id = localStorage.getItem('order_item_id');
	var user_data = {
		'app_id': app_id,
		'app_key': app_key,
	};
	var post_data = {
		params: {
			user: user_data,
			order_id: order_id
		}
	};

	plus.nativeUI.showWaiting();
	$.ajax({
		url: GET_MY_TEAM_INFO_SERVICE,
		dataType: 'json',
		type: 'POST',
		contentType: 'application/json',
		data: JSON.stringify(post_data),
		success: function(retData) {
			plus.nativeUI.closeWaiting();
			if(retData.error != undefined) {
				toast('服务出错，请重试!');
			} else {
				var result = retData.result;
				var data = result.data;
				if(result.status == 'success') {
					var html_select_teams = template('tmpl_teams', {
						'team_data': data,
					});
					$('.select-teams').html(html_select_teams);
					if($('.select-teams').children().length < 1){
						$('.no-teams-tips').show();
					}
					else{
						$('.no-teams-tips').hide();
					}
				} else if(result.status == 'fail') {
					toast(result.message);
				}
			}
		},
		error: function(retData) {
			plus.nativeUI.closeWaiting();
		},
		complete: function(c) {
			plus.nativeUI.closeWaiting();
		}
	});

}