document.addEventListener('plusready', serviceReportListInit, false);

function serviceReportListInit() {
	$('.back-left').on('click', function() {
		back();
	});
	GetReportItems();
};

function GetReportItems() {
	var order_id = localStorage.getItem('order_id');
	var app_id = localStorage.getItem('app_id');
	var app_key = localStorage.getItem('app_key');
	var user_data = {
		'app_id': app_id,
		'app_key': app_key
	};
	var post_data = {
		params: {
			'user': user_data,
			'order_id': order_id,
		}
	};

	plus.nativeUI.showWaiting();
	$.ajax({
		url: GET_REPORT_LIST_SERVICE,
		dataType: 'json',
		type: 'POST',
		contentType: 'application/json',
		data: JSON.stringify(post_data),
		success: function(retData) {
			plus.nativeUI.closeWaiting();
			var result = retData.result;
			if(result.status == 'success') {
				var data = result.data;

				$('.report-items').html('');

				$.each(data, function(idx, item) {
					var html_service_report_item = template('tmpl_service_report_item', {
						'IMAGE_DOMAIN': IMAGE_DOMAIN,
						'item': item
					});
					$('.report-items').append(html_service_report_item);
				});
			}

			$('.report-image').bind('click', function(e) {
				displayFile($(e.currentTarget).attr('data-src'));
			});

		},
		error: function(retData) {
			plus.nativeUI.closeWaiting();
		},
		complete: function(c) {
			plus.nativeUI.closeWaiting();
		}
	});
}

function displayFile(image_url) {
	var w = null;
	var url = 'view_image.html';
	w = plus.webview.create(url, url, {
		hardwareAccelerated: true,
		scrollIndicator: 'none',
		scalable: true,
		bounce: "all"
	});
	w.addEventListener("loaded", function() {
		w.evalJS("loadMedia('" + image_url + "')");
	}, false);
	w.addEventListener("close", function() {
		w = null;
	}, false);
	w.show("pop-in");
}